package com.zehong.system.domain;

import java.math.BigDecimal;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.zehong.common.annotation.Excel;
import com.zehong.common.core.domain.BaseEntity;

/**
 * 液化石油气-气瓶档案对象 t_lpg_gas_bottle_files
 * 
 * @author zehong
 * @date 2024-07-09
 */
public class TLpgGasBottleFiles extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Long fGasBottleFilesId;

    /** 登记证号 */
    @Excel(name = "登记证号", width = 30 )
    private String fRegCode;

    /** 产品编号 */
    @Excel(name = "产品编号", width = 30 )
    private String fEquNo;

    /** 设备类型 */
    @Excel(name = "设备类型", width = 30 )
    private String fEquType;

    /** 充装介质 */
    @Excel(name = "充装介质", width = 30 )
    private String fMedium;

    /** 生产日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "生产日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date fMakeDate;

    /** 生产(制造单位) */
    @Excel(name = "生产(制造单位) ", width = 30 )
    private String fMakeInfo;

    /** 单位内编号 */
    @Excel(name = "单位内编号", width = 30 )
    private String fSelfId;

    /** 压力 */
    @Excel(name = "压力", width = 30 )
    private BigDecimal fPressure;

    /** 体积 */
    @Excel(name = "体积", width = 30 )
    private BigDecimal fVolume;

    /** 电子标签 */
    private String fAppId;

    /** 二维码 */
    private String fQRcode;

    /** 使用单位 */
    @Excel(name = "使用单位", width = 30 )
    private String fBuildUser;


    /** 录入日期 */
    private Date fAddTime;

    /** 录入人姓名 */
    private String fOptName;

    /** 更新日期 */
    private Date fUpTime;

    /** 状态1 新增、2 修改、-1、删除  （默认1） 3.注销 */
    @Excel(name = "状态1 新增、2 修改、-1、删除  ", readConverterExp = "默=认1")
    private String fState;

    /** 修改人姓名 */
    private String fUpOptName;

    /** 上检日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "上检日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date fPChkDate;

    /** 下检日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "下检日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date fNChkDate;

    /** 生产日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "生产日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date fProductDate;

    /** 报废日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "报废日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date fDiscardDate;

    /** 安全评定日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "安全评定日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date fSafeJudgeDate;

    /** 公称压力Mpa */
    @Excel(name = "公称压力/Mpa")
    private BigDecimal fGPressure;

    /** 水试验压力Mpa */
    @Excel(name = "水试验压力/Mpa")
    private BigDecimal fWPressure;

    /** 标准重量KG */
    @Excel(name = "标准重量/KG")
    private BigDecimal fSelfWeight;

    /** 壁厚mm */
    @Excel(name = "壁厚/mm")
    private BigDecimal fThickness;

    /** 气瓶许可证号 */
    @Excel(name = "气瓶许可证号")
    private String fPermitNo;

    /** 阀类型名称 */
    @Excel(name = "阀类型名称")
    private String fValveName;

    /** 钢瓶交付文件照片 */
    @Excel(name = "钢瓶交付文件照片")
    private String fPayImage;

    /** 检验质量证明书照片 */
    @Excel(name = "检验质量证明书照片")
    private String fBatchImage;

    /** 制造监督检验证书照片 */
    @Excel(name = "制造监督检验证书照片")
    private String fDeviceImage;

    /** 检验报告照片 */
    @Excel(name = "检验报告照片")
    private String fCheckImage;

    /** 产品编号照片 */
    @Excel(name = "产品编号照片")
    private String fEquNoImage;

    /** 单位内编号照片 */
    @Excel(name = "单位内编号照片")
    private String fSelfIdImage;

    /** 钢瓶信息照片 */
    @Excel(name = "钢瓶信息照片")
    private String fBotImage;

    /** 钢瓶规格名称 */
    @Excel(name = "钢瓶规格名称")
    private String fBotSpecName;

    /** 钢瓶型号 */
    @Excel(name = "钢瓶型号")
    private String fBottleType;

    /** 已检验次数 */
    @Excel(name = "已检验次数")
    private Long fInspectedTimes;

    /** 是否专用(1:专用 2：托管) */
    @Excel(name = "是否专用")
    private String fIsSpecialized;

    /** 阀厂家 */
    @Excel(name = "阀厂家")
    private String fValveManuFacturer;

    /** 检验标牌(有/无) */
    @Excel(name = "检验标牌")
    private String fInspectionLabel;

    /** 第三方标签 */
    @Excel(name = "第三方标签")
    private String fThirdPartyLabel;

    /** 孔洞码 */
    @Excel(name = "孔洞码")
    private String fHoleCode;

    /** 存储类型(气相/液相) */
    @Excel(name = "存储类型")
    private String fBottleStorageType;

    private String fRowVersion;

    public String getfRowVersion() {
        return fRowVersion;
    }

    public void setfRowVersion(String fRowVersion) {
        this.fRowVersion = fRowVersion;
    }

    public String getfValveName() {
        return fValveName;
    }

    public void setfValveName(String fValveName) {
        this.fValveName = fValveName;
    }

    public String getfState() {
        return fState;
    }

    public void setfState(String fState) {
        this.fState = fState;
    }

    public String getfBuildUser() {
        return fBuildUser;
    }

    public void setfBuildUser(String fBuildUser) {
        this.fBuildUser = fBuildUser;
    }

    public void setfGasBottleFilesId(Long fGasBottleFilesId)
    {
        this.fGasBottleFilesId = fGasBottleFilesId;
    }

    public Long getfGasBottleFilesId()
    {
        return fGasBottleFilesId;
    }

    public void setfRegCode(String fRegCode) {
        this.fRegCode = fRegCode;
    }

    public String getfRegCode()
    {
        return fRegCode;
    }

    public void setfEquNo(String fEquNo) 
    {
        this.fEquNo = fEquNo;
    }

    public String getfEquNo() 
    {
        return fEquNo;
    }


    public void setfEquType(String fEquType) 
    {
        this.fEquType = fEquType;
    }

    public String getfEquType() 
    {
        return fEquType;
    }

    public void setfMedium(String fMedium) 
    {
        this.fMedium = fMedium;
    }

    public String getfMedium() 
    {
        return fMedium;
    }
    public void setfMakeDate(Date fMakeDate) 
    {
        this.fMakeDate = fMakeDate;
    }

    public Date getfMakeDate() 
    {
        return fMakeDate;
    }
    public void setfMakeInfo(String fMakeInfo) 
    {
        this.fMakeInfo = fMakeInfo;
    }

    public String getfMakeInfo() 
    {
        return fMakeInfo;
    }
    public void setfSelfId(String fSelfId) 
    {
        this.fSelfId = fSelfId;
    }

    public String getfSelfId() 
    {
        return fSelfId;
    }
    public void setfPressure(BigDecimal fPressure) 
    {
        this.fPressure = fPressure;
    }

    public BigDecimal getfPressure() 
    {
        return fPressure;
    }
    public void setfVolume(BigDecimal fVolume) 
    {
        this.fVolume = fVolume;
    }

    public BigDecimal getfVolume() 
    {
        return fVolume;
    }

    public void setfAppId(String fAppId) 
    {
        this.fAppId = fAppId;
    }

    public String getfAppId() 
    {
        return fAppId;
    }
    public void setfQRcode(String fQRcode) 
    {
        this.fQRcode = fQRcode;
    }

    public String getfQRcode() 
    {
        return fQRcode;
    }

    public void setfPChkDate(Date fPChkDate) 
    {
        this.fPChkDate = fPChkDate;
    }

    public Date getfPChkDate() 
    {
        return fPChkDate;
    }
    public void setfNChkDate(Date fNChkDate) 
    {
        this.fNChkDate = fNChkDate;
    }

    public Date getfNChkDate() 
    {
        return fNChkDate;
    }
    public void setfProductDate(Date fProductDate) 
    {
        this.fProductDate = fProductDate;
    }

    public Date getfProductDate() 
    {
        return fProductDate;
    }
    public void setfDiscardDate(Date fDiscardDate) 
    {
        this.fDiscardDate = fDiscardDate;
    }

    public Date getfDiscardDate() 
    {
        return fDiscardDate;
    }
    public void setfSafeJudgeDate(Date fSafeJudgeDate) 
    {
        this.fSafeJudgeDate = fSafeJudgeDate;
    }

    public Date getfSafeJudgeDate() 
    {
        return fSafeJudgeDate;
    }
    public void setfGPressure(BigDecimal fGPressure) 
    {
        this.fGPressure = fGPressure;
    }

    public BigDecimal getfGPressure() 
    {
        return fGPressure;
    }
    public void setfWPressure(BigDecimal fWPressure) 
    {
        this.fWPressure = fWPressure;
    }

    public BigDecimal getfWPressure() 
    {
        return fWPressure;
    }
    public void setfSelfWeight(BigDecimal fSelfWeight) 
    {
        this.fSelfWeight = fSelfWeight;
    }

    public BigDecimal getfSelfWeight() 
    {
        return fSelfWeight;
    }
    public void setfThickness(BigDecimal fThickness) 
    {
        this.fThickness = fThickness;
    }

    public BigDecimal getfThickness() 
    {
        return fThickness;
    }
    public void setfPermitNo(String fPermitNo) 
    {
        this.fPermitNo = fPermitNo;
    }

    public String getfPermitNo() 
    {
        return fPermitNo;
    }

    public void setfPayImage(String fPayImage) 
    {
        this.fPayImage = fPayImage;
    }

    public String getfPayImage() 
    {
        return fPayImage;
    }
    public void setfBatchImage(String fBatchImage) 
    {
        this.fBatchImage = fBatchImage;
    }

    public String getfBatchImage() 
    {
        return fBatchImage;
    }
    public void setfDeviceImage(String fDeviceImage) 
    {
        this.fDeviceImage = fDeviceImage;
    }

    public String getfDeviceImage() 
    {
        return fDeviceImage;
    }
    public void setfCheckImage(String fCheckImage) 
    {
        this.fCheckImage = fCheckImage;
    }

    public String getfCheckImage() 
    {
        return fCheckImage;
    }
    public void setfEquNoImage(String fEquNoImage) 
    {
        this.fEquNoImage = fEquNoImage;
    }

    public String getfEquNoImage() 
    {
        return fEquNoImage;
    }
    public void setfSelfIdImage(String fSelfIdImage) 
    {
        this.fSelfIdImage = fSelfIdImage;
    }

    public String getfSelfIdImage() 
    {
        return fSelfIdImage;
    }
    public void setfBotImage(String fBotImage) 
    {
        this.fBotImage = fBotImage;
    }

    public String getfBotImage() 
    {
        return fBotImage;
    }

    public void setfBotSpecName(String fBotSpecName) 
    {
        this.fBotSpecName = fBotSpecName;
    }

    public String getfBotSpecName() 
    {
        return fBotSpecName;
    }
    public void setfBottleType(String fBottleType) 
    {
        this.fBottleType = fBottleType;
    }

    public String getfBottleType() 
    {
        return fBottleType;
    }
    public void setfInspectedTimes(Long fInspectedTimes) 
    {
        this.fInspectedTimes = fInspectedTimes;
    }

    public Long getfInspectedTimes() 
    {
        return fInspectedTimes;
    }
    public void setfIsSpecialized(String fIsSpecialized)
    {
        this.fIsSpecialized = fIsSpecialized;
    }

    public String getfIsSpecialized()
    {
        return fIsSpecialized;
    }
    public void setfValveManuFacturer(String fValveManuFacturer) 
    {
        this.fValveManuFacturer = fValveManuFacturer;
    }

    public String getfValveManuFacturer() 
    {
        return fValveManuFacturer;
    }
    public void setfInspectionLabel(String fInspectionLabel) 
    {
        this.fInspectionLabel = fInspectionLabel;
    }

    public String getfInspectionLabel() 
    {
        return fInspectionLabel;
    }
    public void setfThirdPartyLabel(String fThirdPartyLabel) 
    {
        this.fThirdPartyLabel = fThirdPartyLabel;
    }

    public String getfThirdPartyLabel() 
    {
        return fThirdPartyLabel;
    }
    public void setfHoleCode(String fHoleCode) 
    {
        this.fHoleCode = fHoleCode;
    }

    public String getfHoleCode() 
    {
        return fHoleCode;
    }
    public void setfBottleStorageType(String fBottleStorageType) 
    {
        this.fBottleStorageType = fBottleStorageType;
    }

    public String getfBottleStorageType() 
    {
        return fBottleStorageType;
    }

    public void setfOptName(String fOptName) 
    {
        this.fOptName = fOptName;
    }

    public String getfOptName() 
    {
        return fOptName;
    }
    public void setfAddTime(Date fAddTime) 
    {
        this.fAddTime = fAddTime;
    }

    public Date getfAddTime() 
    {
        return fAddTime;
    }
    public void setfUpTime(Date fUpTime) 
    {
        this.fUpTime = fUpTime;
    }

    public Date getfUpTime() 
    {
        return fUpTime;
    }

    public void setfUpOptName(String fUpOptName) 
    {
        this.fUpOptName = fUpOptName;
    }

    public String getfUpOptName() 
    {
        return fUpOptName;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("fGasBottleFilesId", getfGasBottleFilesId())
            .append("fRegCode", getfRegCode())
            .append("fEquNo", getfEquNo())
            .append("fEquType", getfEquType())
            .append("fMedium", getfMedium())
            .append("fMakeDate", getfMakeDate())
            .append("fMakeInfo", getfMakeInfo())
            .append("fSelfId", getfSelfId())
            .append("fPressure", getfPressure())
            .append("fVolume", getfVolume())
            .append("fPChkDate", getfPChkDate())
            .append("fNChkDate", getfNChkDate())
            .append("fProductDate", getfProductDate())
            .append("fDiscardDate", getfDiscardDate())
            .append("fSafeJudgeDate", getfSafeJudgeDate())
            .append("fGPressure", getfGPressure())
            .append("fWPressure", getfWPressure())
            .append("fSelfWeight", getfSelfWeight())
            .append("fThickness", getfThickness())
            .append("fPermitNo", getfPermitNo())
            .append("fPayImage", getfPayImage())
            .append("fBatchImage", getfBatchImage())
            .append("fDeviceImage", getfDeviceImage())
            .append("fCheckImage", getfCheckImage())
            .append("fEquNoImage", getfEquNoImage())
            .append("fSelfIdImage", getfSelfIdImage())
            .append("fBotImage", getfBotImage())
            .append("fBotSpecName", getfBotSpecName())
            .append("fBottleType", getfBottleType())
            .append("fInspectedTimes", getfInspectedTimes())
            .append("fIsSpecialized", getfIsSpecialized())
            .append("fValveManuFacturer", getfValveManuFacturer())
            .append("fInspectionLabel", getfInspectionLabel())
            .append("fThirdPartyLabel", getfThirdPartyLabel())
            .append("fHoleCode", getfHoleCode())
            .append("fBottleStorageType", getfBottleStorageType())
            .append("fOptName", getfOptName())
            .append("fAddTime", getfAddTime())
            .append("fUpTime", getfUpTime())
            .append("fUpOptName", getfUpOptName())
            .toString();
    }
}
